# JettyPluginConvention

API Documentation: | `JettyPluginConvention`

Convention properties and methods added by the `JettyPlugin`.

### Properties

Property | Description
`httpPort` | The TCP port for Jetty to listen on for incoming HTTP requests.
`stopKey` | The key to use to stop Jetty.
`stopPort` | The TCP port for Jetty to listen on for stop requests.

### Property details

#### `Integer` `httpPort`

The TCP port for Jetty to listen on for incoming HTTP requests.

Default with `jetty` plugin:
  `8080`

#### `String` `stopKey`

The key to use to stop Jetty.

Default with `jetty` plugin:
  `null`

#### `Integer` `stopPort`

The TCP port for Jetty to listen on for stop requests.

Default with `jetty` plugin:
  `null`

### Script blocks

No script blocks

### Methods

No methods